PoliciesUpdate a policy

Update a policy

Update a policy (saves version history, sets user_modified).

curl -X PUT "https://api.autopil.ai/v1/policies/example_string" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "John Doe",
  "agent_role": "example_string",
  "allowed_sources": [
    "example_string"
  ],
  "denied_sources": [
    "example_string"
  ],
  "max_sensitivity": "low",
  "allowed_tasks": [
    "example_string"
  ],
  "denied_tasks": [
    "example_string"
  ],
  "session_ttl_minutes": 42,
  "permitted_agent_ids": [
    "example_string"
  ],
  "industry": "example_string",
  "process_group": "example_string"
}'
{
  "name": "John Doe",
  "agent_role": "example_string",
  "allowed_sources": [
    "example_string"
  ],
  "denied_sources": [
    "example_string"
  ],
  "max_sensitivity": "low",
  "allowed_tasks": [
    "example_string"
  ],
  "denied_tasks": [
    "example_string"
  ],
  "session_ttl_minutes": 42,
  "permitted_agent_ids": [
    "example_string"
  ],
  "industry": "example_string",
  "process_group": "example_string"
}
PUT
/v1/policies/{policy_id}
PUT
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

Path Parameters

Responses

namestring
Required
agent_rolestring
Required
allowed_sourcesstring[]
Required
denied_sourcesstring[]
Required
max_sensitivitystring
Required
Allowed values:lowmediumhighcritical
allowed_tasksstring[]
denied_tasksstring[]
session_ttl_minutesinteger
permitted_agent_idsstring[]
industrystring
process_groupstring